[TASK] Add support for "outdated" extensions